MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid Interface Reference
Inheritance diagram for MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid:

## Public Member Functions
bool | IsGainScheduling (EAxis axis)
| Returns enabled/disabled flag of gain scheduling function.
void | SwitchGainScheduling (EAxis axis, bool enabled)
| Enables/disables gain scheduling function.
float | ReadPGain (EAxis axis)
| Returns proportional term.
void | WritePGain (EAxis axis, float pGain)
| Sets proportional term.
float | ReadIGain (EAxis axis)
| Returns integral term.
void | WriteIGain (EAxis axis, float iGain)
| Sets integral term.
float | ReadDGain (EAxis axis)
| Returns derivative term.
void | WriteDGain (EAxis axis, float dGain)
| Sets derivative term.
float | ReadMinimumOutput (EAxis axis)
| Returns minimum allowable output before clamping.
void | WriteMinimumOutput (EAxis axis, float minimumOutput)
| Sets minimum allowable output before clamping.
float | ReadMaximumOutput (EAxis axis)
| Returns maximum allowable output before clamping.
void | WriteMaximumOutput (EAxis axis, float maximumOutput)
| Sets maximum allowable output before clamping.
float | ReadMinimumIntegral (EAxis axis)
| Returns minimum allowable integral before clamping.
void | WriteMinimumIntegral (EAxis axis, float minimumIntegral)
| Sets minimum allowable integral before clamping.
float | ReadMaximumIntegral (EAxis axis)
| Returns maximum allowable integral before clamping.
void | WriteMaximumIntegral (EAxis axis, float maximumIntegral)
| Sets maximum allowable integral before clamping.
bool | ReadDerivativeTermFilterEnabled (EAxis axis)
| Returns flag enabled/disabled a 2nd order low pass Butterworth filter acting on the derivative term.
void | SwitchDerivativeTermFilter (EAxis axis, bool enabled)
| Enables/disables a 2nd order low pass Butterworth filter acting on the derivative term.
float | ReadCutOffFrequency (EAxis axis)
| Returns cut-off frequency in Hz of the 2nd order low pass Butterworth filter acting on the derivative term. Range (0 - 5000).
void | WriteCutOffFrequency (EAxis axis, float frequency)
| Sets cut-off frequency in Hz of the 2nd order low pass Butterworth filter acting on the derivative term. Range (0 - 5000).

## Member Function Documentation

## ◆ IsGainScheduling()

bool MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.IsGainScheduling | ( | EAxis | axis | ) |

Returns enabled/disabled flag of gain scheduling function.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadCutOffFrequency()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.ReadCutOffFrequency | ( | EAxis | axis | ) |

Returns cut-off frequency in Hz of the 2nd order low pass Butterworth filter acting on the derivative term. Range (0 - 5000).

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadDerivativeTermFilterEnabled()

bool MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.ReadDerivativeTermFilterEnabled | ( | EAxis | axis | ) |

Returns flag enabled/disabled a 2nd order low pass Butterworth filter acting on the derivative term.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadDGain()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.ReadDGain | ( | EAxis | axis | ) |

Returns derivative term.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadIGain()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.ReadIGain | ( | EAxis | axis | ) |

Returns integral term.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadMaximumIntegral()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.ReadMaximumIntegral | ( | EAxis | axis | ) |

Returns maximum allowable integral before clamping.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadMaximumOutput()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.ReadMaximumOutput | ( | EAxis | axis | ) |

Returns maximum allowable output before clamping.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadMinimumIntegral()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.ReadMinimumIntegral | ( | EAxis | axis | ) |

Returns minimum allowable integral before clamping.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadMinimumOutput()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.ReadMinimumOutput | ( | EAxis | axis | ) |

Returns minimum allowable output before clamping.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadPGain()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.ReadPGain | ( | EAxis | axis | ) |

Returns proportional term.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SwitchDerivativeTermFilter()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.SwitchDerivativeTermFilter | ( | EAxis | axis,
|  | bool | enabled )

Enables/disables a 2nd order low pass Butterworth filter acting on the derivative term.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SwitchGainScheduling()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.SwitchGainScheduling | ( | EAxis | axis,
|  | bool | enabled )

Enables/disables gain scheduling function.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteCutOffFrequency()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.WriteCutOffFrequency | ( | EAxis | axis,
|  | float | frequency )

Sets cut-off frequency in Hz of the 2nd order low pass Butterworth filter acting on the derivative term. Range (0 - 5000).

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteDGain()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.WriteDGain | ( | EAxis | axis,
|  | float | dGain )

Sets derivative term.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteIGain()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.WriteIGain | ( | EAxis | axis,
|  | float | iGain )

Sets integral term.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteMaximumIntegral()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.WriteMaximumIntegral | ( | EAxis | axis,
|  | float | maximumIntegral )

Sets maximum allowable integral before clamping.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteMaximumOutput()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.WriteMaximumOutput | ( | EAxis | axis,
|  | float | maximumOutput )

Sets maximum allowable output before clamping.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteMinimumIntegral()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.WriteMinimumIntegral | ( | EAxis | axis,
|  | float | minimumIntegral )

Sets minimum allowable integral before clamping.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteMinimumOutput()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.WriteMinimumOutput | ( | EAxis | axis,
|  | float | minimumOutput )

Sets minimum allowable output before clamping.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WritePGain()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IXYPid.WritePGain | ( | EAxis | axis,
|  | float | pGain )

Sets proportional term.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/SignalFlowManager/ControlMode/IXYPID.cs